---
- name: iwd | Install iwd package
  apk:
    name: iwd
    state: present

- name: iwd | Copy configuration
  copy:
    src: main.conf
    dest: /etc/iwd/main.conf
    owner: root
    group: root
    mode: 0644

- name: iwd | Start iwd service on runlevel 'default'
  service:
    name: iwd
    runlevel: default
    enabled: yes
    state: started
